#!/bin/bash
mkdir /lt38c/
mkdir /lt38c/2015_1s_servo_socket/
mkdir /lt38c/2015_1s_servo_socket/arquivos.sys
mkdir /lt38c/2015_1s_servo_socket/fontes.c
mkdir /lt38c/2015_1s_servo_socket/maff_mht
mkdir /lt38c/2015_1s_servo_socket/site
mkdir /lt38c/2015_1s_servo_socket/exe
mkdir /lt38c/2015_1s_servo_socket/history

#isntalando mcedit e etc
/usr/bin/apt-get update
/usr/bin/apt-get install mc wput libmysqlclient-dev zip unzip ssh ntpdate -y

#instalacao bcm2835
wget www.lt38c.hturbo.com/bcm2835-1.43.tar.gz -O /tmp/bcm2835.tar.gz
cd /tmp
tar -zxvf bcm2835.tar.gz
cd bcm2835-1.43
./configure
make
sudo make check
sudo make install

#instalando wiringPi
cd /tmp
sudo apt-get install git-core
wget www.lt38c.hturbo.com/wiringPi-f18c8f7.tar.gz -O /tmp/wiringPi.tar.gz
tar -zxvf wiringPi.tar.gz
cd wiringPi-f18c8f7
./build

#baixando os arquivos do projeto
wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/config.txt -O /tmp/config.txt
chmod 755 /tmp/config.txt
chown root:root /tmp/config.txt
cp /tmp/config.txt /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/config.txt /boot

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/keyboard -O /tmp/keyboard
chmod 644 /tmp/keyboard
chown root:root /tmp/keyboard
cp /tmp/keyboard /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/keyboard /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/.bashrc -O /tmp/.bashrc
chmod 644 /tmp/.bashrc
chown root:root /tmp/.bashrc
cp /tmp/.bashrc /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/.bashrc /root

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/locale -O /tmp/locale
chmod 644 /tmp/locale
chown root:root /tmp/locale
cp /tmp/locale /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/locale /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/profile -O /tmp/profile
chmod 644 /tmp/profile
chown root:root /tmp/profile
cp /tmp/profile /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/profile /etc

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/inittab -O /tmp/inittab
chmod 644 /tmp/inittab
chown root:root /tmp/inittab
cp /tmp/inittab /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/inittab /etc


wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/rc.local -O /tmp/rc.local
chmod 755 /tmp/rc.local
chown root:root /tmp/rc.local
cp /tmp/rc.local /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/rc.local /etc/init.d

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/sls.sh -O /tmp/sls.sh
chmod 700 /tmp/sls.sh
chown root:root /tmp/sls.sh
cp /tmp/sls.sh /lt38c/2015_1s_servo_socket/arquivos.sys


wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/arquivos.sys/timezone -O /tmp/timezone
chmod 644 /tmp/timezone
chown root:root /tmp/timezone
cp /tmp/timezone /lt38c/2015_1s_servo_socket/arquivos.sys
cp /tmp/timezone /etc

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/fontes.c/cliente2.c -O /tmp/cliente2.c
#chmod 644 /tmp/cliente2.c
#chwon root:root /tmp/cliente2.c
cp /tmp/cliente2.c /lt38c/2015_1s_servo_socket/fontes.c

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/fontes.c/servidor2.c -O /tmp/servidor2.c
#chmod 644 /tmp/servidor2.c
#chwon root:root /tmp/servidor2.c
cp /tmp/servidor2.c /lt38c/2015_1s_servo_socket/fontes.c

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/tutorial.docx -O /tmp/tutorial.docx
chmod 100 /tmp/tutorial.docx
chown root:root /tmp/tutorial.docx
cp /tmp/tutorial.docx /lt38c/2015_1s_servo_socket

wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket/tutorial.pdf -O /tmp/tutorial.pdf
chmod 644 /tmp/tutorial.pdf
chown root:root /tmp/tutorial.pdf
cp /tmp/tutorial.pdf /lt38c/2015_1s_servo_socket

cd /lt38c/2015_1s_servo_socket/fontes.c

gcc cliente2.c -o cliente
gcc -o servidor servidor2.c -l bcm2835

mv cliente /lt38c/2015_1s_servo_socket/exe
mv servidor /lt38c/2015_1s_servo_socket/exe


