#include<stdio.h>
#include<stdlib.h>
#include<netinet/in.h>
#include<sys/socket.h>
#include<sys/types.h>
#include<strings.h>
#include<string.h>
#include<unistd.h>
#include<netdb.h>
#include<errno.h>
//#include<wiringPi.h>
//#include<softPwm.h>
#include<bcm2835.h>


int main(void){
int iSock;
struct sockaddr_in server_addr;
int X;
X=1;

iSock=socket(AF_INET, SOCK_STREAM, 0);
if(iSock<0){
printf("Erro ao criar socket\n");
exit(1);
}

server_addr.sin_family = AF_INET;
server_addr.sin_port = htons(25000);
server_addr.sin_addr.s_addr = INADDR_ANY;
bzero(&(server_addr.sin_zero),8);

if(bind(iSock, (struct sockaddr *)&server_addr, sizeof(struct sockaddr))==-1){
printf("Erro ao executar bind\n");
exit(1);
}

if(listen(iSock, 10)<0){
printf("Erro ao escutar a porta 25000\n");
exit(1);
}

//if(wiringPiSetup()==-1){
if(!bcm2835_init()){
printf("Erro no Pwm");
return 1;
}

bcm2835_gpio_fsel(RPI_GPIO_P1_12, BCM2835_GPIO_FSEL_ALT5);
bcm2835_pwm_set_clock(375);
bcm2835_pwm_set_mode(0, 1, 1);
bcm2835_pwm_set_range(0, 1024);

//pinMode(1, PWM_OUTPUT);
//digitalWrite(1, LOW);
//softPwmCreate(1, 0, 200);

while(X==1){
printf("Procurando cliente...\n");



struct sockaddr_in cliente_addr;
int iFd;
int num;
int sin_size;

sin_size = sizeof(struct sockaddr_in);

if((iFd=accept(iSock, (struct sockaddr*)&cliente_addr, &sin_size))<0){
perror("Erro ao estabelecer conexao\n");
exit(1);
}
printf("Cliente conectado: %s\n", inet_ntoa(cliente_addr.sin_addr));

int Bytes_rec;
char buffer_[200];
char A_[]="A";
char B_[]="B";
char C_[]="C";

if(Bytes_rec = recv(iFd, buffer_, 200, 0)<0){
printf("Erro ao receber mensagem do cliente");
close(iFd);
exit(1);
}

if(buffer_[0] == 'A'){
printf("O angulo escolhido eh 0 graus\n");
bcm2835_pwm_set_data(0, 51);
//softPwmWrite(1,10);
}
else{
    if(buffer_[0] == 'B'){
    printf("O angulo escolhido eh 90 graus\n");
    //delay(100);
    bcm2835_pwm_set_data(0, 78);
    //softPwmWrite(1, 15);
    }
    else{
	if(buffer_[0] == 'C'){
	printf("O angulo escolhido eh 180 graus\n");
	bcm2835_pwm_set_data(0, 104);
	//delay(100);
	//softPwmWrite(1, 20);
	}
	else{
	    if(buffer_[0] == 'S'){
	    printf("O servidor terminou sua execucao\n");
	    X=0;
	    }
	    else{
	    printf("Comando invalido\n");
	    printf("Por favor escolha um comando entre os citados: %s %s %s\n", A_, B_, C_);
	    }
	}
    }
}
close(iFd);
}
}







