#!/bin/bash
mkdir lt38c
wget www.lt38c.hturbo.com/Projetos/2015_1s_servo_socket.tar.gz -O /lt38c/2015_1s_servo_socket.tar.gz
cd /lt38c
tar -zxvf 2015_1s_servo_socket.tar.gz

#isntalando mcedit e etc
/usr/bin/apt-get update
/usr/bin/apt-get install mc wput libmysqlclient-dev zip unzip ssh ntpdate -y

#instalacao bcm2835
wget www.lt38c.hturbo.com/bcm2835-1.43.tar.gz -O /tmp/bcm2835.tar.gz
cd /tmp
tar -zxvf bcm2835.tar.gz
cd bcm2835-1.43
./configure
make
sudo make check
sudo make install

#instalando wiringPi
cd /tmp
sudo apt-get install git-core
wget www.lt38c.hturbo.com/wiringPi-f18c8f7.tar.gz -O /tmp/wiringPi.tar.gz
tar -zxvf wiringPi.tar.gz
cd wiringPi-f18c8f7
./build

chmod 755 /lt38c/2015_1s_servo_socket/arquivos.sys/config.txt
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/config.txt
cp /lt38c/2015_1s_servo_socket/arquivos.sys/config.txt /boot

chmod 644 /lt38c/2015_1s_servo_socket/arquivos.sys/keyboard
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/keyboard
cp /lt38c/2015_1s_servo_socket/arquivos.sys/keyboard /etc/default

chmod 644 /lt38c/2015_1s_servo_socket/arquivos.sys/.bashrc
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/.bashrc
cp /lt38c/2015_1s_servo_socket/arquivos.sys/.bashrc /root

chmod 644 /lt38c/2015_1s_servo_socket/arquivos.sys/locale
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/locale
cp /lt38c/2015_1s_servo_socket/arquivos.sys/locale /etc/default

chmod 644 /lt38c/2015_1s_servo_socket/arquivos.sys/profile
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/profile
cp /lt38c/2015_1s_servo_socket/arquivos.sys/profile /etc

chmod 644 /lt38c/2015_1s_servo_socket/arquivos.sys/inittab
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/inittab
cp /lt38c/2015_1s_servo_socket/arquivos.sys/inittab /etc


chmod 755 /lt38c/2015_1s_servo_socket/arquivos.sys/rc.local
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/rc.local
cp /lt38c/2015_1s_servo_socket/arquivos.sys/rc.local /etc/init.d

chmod 700 /lt38c/2015_1s_servo_socket/arquivos.sys/sls.sh
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/sls.sh

chmod 644 /lt38c/2015_1s_servo_socket/arquivos.sys/timezone
chown root:root /lt38c/2015_1s_servo_socket/arquivos.sys/timezone
cp /lt38c/2015_1s_servo_socket/arquivos.sys/timezone /etc

chmod 100 /tmp/tutorial_embarcados.docx
chown root:root /tmp/tutorial_embarcados.docx

chmod 644 /tmp/tutorial_embarcados.pdf
chown root:root /tmp/tutorial_embarcados.pdf

cd /lt38c/2015_1s_servo_socket/fontes.c

gcc cliente2.c -o cliente
gcc -o servidor servidor2.c -l bcm2835

mv cliente /lt38c/2015_1s_servo_socket/exe
mv servidor /lt38c/2015_1s_servo_socket/exe
